<?php

namespace App\Browser\Jobs\HellcaseBattles;

use Laravel\Dusk\Browser;
use function rtrim;


class HellcaseBattleScreenshot {
    public const IMG_FILE_NAME = "Hellcase-battle";

    public static function getImgFileAbsolutePath(): string {
        return rtrim(Browser::$storeScreenshotsAt, '/') . "/HellcaseBattles/" . static::IMG_FILE_NAME;
    }

    public static function getImgFileProjectPath(): string {
        return app_path("Browser/screenshots/HellcaseBattles/" . static::IMG_FILE_NAME);
    }

    public static function getImgFileExternalPath(): string {
        return "screenshots/HellcaseBattles/" . static::IMG_FILE_NAME;
    }
}
